import Vue from 'vue'
import Vuex from 'vuex'

import currencies from '@/store/modules/currencies'
import products from '@/store/modules/products'
import cart from '@/store/modules/cart'
import customers from '@/store/modules/customers'

Vue.use(Vuex)

const Store = new Vuex.Store({
    modules: {
        currencies,
        products,
        cart,
        customers
    }
})

export default Store
